Bug 35736 - Editor text value not updated when focus is lost
Summary: Editor text value not updated when focus is lost
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: iOS (show other bugs)
Version: 1.5.2
Hardware: Macintosh Mac OS
: Normal normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2015-11-10 09:46 UTC by Adam Hartley [MSFT]
Modified: 2016-11-23 17:32 UTC (History)
7 users (show)

Tags: ac
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Adam Hartley [MSFT] 2015-11-10 09:46:20 UTC
## Overview

When tapping outside of the editor to lose focus, the text value is not updated if autocorrect substitutes a word.

## Steps to reproduce

Samples attached

1. Run sample in the simulator (I tested this on 9.1)
2. Tap the editor
3. Close the suggestions bar on the keyboard (if the keyboard has not appeared, hit cmd + k)
4. Type in some characters until you see the autocorrect prompt (eg. "Ciua")
5. Tap outside of the editor (note the keyboard dismisses and the autocorrect substitution
6. Tap the button and note the label text

## Expected result

As per the Objective-C sample, the contents of the label (from the text value of the editor / textfield) should be the same as the corrected value

## Actual result

The text is the value of the string before it has been corrected
Comment 2 Samantha Houts [MSFT] 2016-11-16 21:00:49 UTC
Should be fixed in 2.3.4-pre1. Thank you!
Comment 3 Parmendra Kumar 2016-11-23 17:32:15 UTC
I have checked this issue with xamarin.forms 2.3.4-pre1 and observed that this issue has been fixed.

Hence closing this issue.